Bug 1309263 - python-vatnumber: Provide a Python 3 subpackage [NEEDINFO]
python-vatnumber: Provide a Python 3 subpackage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-vatnumber (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2016-02-17 05:41 EST by Petr Viktorin
Modified: 2016-05-07 07:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-vatnumber-1.2-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-07 07:59:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dkrejci: needinfo? (dan)


Attachments (Terms of Use)

  None (edit)
Description Petr Viktorin 2016-02-17 05:41:06 EST
Upstream (version 1.2 [0]), this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [1], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [2].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://pypi.python.org/pypi/vatnumber/1.2
[1] https://fedoraproject.org/wiki/Packaging:Python
[2] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Jan Kurik 2016-02-24 10:23:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Dominika Krejčí 2016-04-20 08:46:05 EDT
Hello Dan,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 3 Fedora Update System 2016-04-22 05:09:24 EDT
python-vatnumber-1.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d52e1bebe0
Comment 4 Fedora Update System 2016-04-23 17:23:27 EDT
python-vatnumber-1.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d52e1bebe0
Comment 5 Fedora Update System 2016-05-07 07:59:41 EDT
python-vatnumber-1.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.